bugzillaId-719: mandatory SELECT privilege on db level?

Description

This is imported from bugzilla item: http://bugs.mariadb.com/show_bug.cgi?id=719

Description lisu87 2015-02-04 09:30:00 UTC
After upgrading from 1.0.1beta to 1.0.4 GA we found out we cannot longer use maxscale with mysql users which have SELECT privilege on table level.

When trying to connect to mysql server via maxscale without specifying default db it works, but with default db specified we always get "Access denied for user".

The solution that worked for us was to grant SELECT privilege for user on db level instead of doing so for specific tables in the database.

Please let me know if this behaviour is intended?

Environment

Linux

Assignee

Markus Mäkelä

Reporter

lisu87

Labels

None

Components

Sprint

None

Fix versions

Affects versions

Priority

Minor
Configure